@echo off
rem Sample batch file for starting Wssindex.  Arguments are configuration
rem and database file names.  Edit as necessary for your configuration.
rem Lines beginning with 'rem' are comments.  Removing them will slightly
rem decrease execution time.

rem Delete this block of lines after inserting the appropriate paths.
   echo You must edit startwss.bat to insert paths appropriate for your setup.
   goto Done

rem This batch file assumes that you have sufficient environment space.
rem If not, you may end up with a strange prompt.

rem The next 2 lines are only for Wssindex/286.  Wssindex/286 is unable to
rem change the prompt in a DOS shell, so the 2 SETs save the old prompt and
rem then redefine the prompt.  Delete these lines if not using Wssindex/286.

   set oldprompt=%PROMPT%
   set prompt=Type 'EXIT' to return to Wssindex$_%PROMPT%

rem These two SETs define default configuration and database file names.
rem Change as necessary for your disk directory structure.  You can delete
rem these entirely if explicit paths are included in the invocation of
rem Wssindex below.

   set wssicnf=c:\wssindex\wssindex.cnf
   set wssidir=c:\wssindex\wssindex.dir

rem These SETs define the swap disk for Wssindex/286 and Wssindex/386
rem if they were not previously defined.
   if "%TEMP%" == "" set temp=c:\temp
   if "%GO32TMP%" == "" set go32tmp=c:\temp

rem The following command starts Wssindex.  The configuration and database
rem files names are arguments to this batch file.  If you don't enter any
rem arguments, they default to wssindex.cnf and wssindex.dir

rem Pick one of these, delete the other three
   c:\wssindex\wssi601d c:\wssindex\%1 c:\wssindex\%2
   c:\wssindex\wssi601 c:\wssindex\%1 c:\wssindex\%2
   c:\wssindex\wsbli601 c:\wssindex\%1 c:\wssindex\%2
   c:\wssindex\wsgcc601 c:\wssindex\%1 c:\wssindex\%2

rem Restore the original prompt (if it was changed) and clean up the
rem environment variables used.  Variables temp and go32tmp are not cleared
rem because they might be used by other programs.
   set wssicnf=
   set wssidir=
if "%OLDPROMPT%" == "" goto Done
   set prompt=%OLDPROMPT%
   set oldprompt=

:Done
